Package org.eclipse.cdt.core.dom.ast

# Interface IParameter

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `IVariable`

All Known Subinterfaces:
  `ICPPParameter`

public interface IParameter extends IVariable
Represents a parameter to a function. The scope of the parameter is the function that declared this parameter.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final IParameter[]`
`EMPTY_PARAMETER_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`EMPTY_VARIABLE_ARRAY`

## Method Summary

Modifier and Type
Method
Description
`IValue`
`getInitialValue()`
Inherited from `IVariable`, always returns `null`.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IVariable

`getType, isAuto, isExtern, isRegister, isStatic`

## Field Details

### EMPTY_PARAMETER_ARRAY

static final IParameter[] EMPTY_PARAMETER_ARRAY

## Method Details

### getInitialValue

IValue getInitialValue()
Inherited from `IVariable`, always returns `null`.

Specified by:
  `getInitialValue` in interface `IVariable`
Since:
  5.1